﻿using AutomobilePlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
namespace AutomobilePlantContracts.ViewModel
{
    public class CarViewModel : ICarModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string CarName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> CarComponents
        {
            get;
            set;
        } = new();

    }
}
